Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class SigmoidDeltaRule

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.SupervisedLearning
                      org.neuroph.nnet.learning.LMS
                          org.neuroph.nnet.learning.SigmoidDeltaRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  BackPropagation

    public class SigmoidDeltaRule

extends LMS

Delta rule learning algorithm for perceptrons with sigmoid (or any other diferentiable continuous) functions. TODO: Rename to DeltaRuleContinuous (ContinuousDeltaRule) or something like that, but that will break backward compatibility, posibly with backpropagation which is the most used

See Also:
  `LMS`, Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.SupervisedLearning
`maxError, previousEpochError, totalNetworkError`

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`SigmoidDeltaRule()` Creates new SigmoidDeltaRule
`SigmoidDeltaRule(NeuralNetwork neuralNetwork)` Creates new SigmoidDeltaRule for the specified neural network

Method Summary
`protected void` | `adjustOutputNeurons(java.util.Vector<java.lang.Double> patternError)` This method implements weights update procedure for the output neurons
`protected void` | `updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)` This method implements weight update procedure for the whole network for this learning rule

Methods inherited from class org.neuroph.nnet.learning.LMS
`updateNeuronWeights, updateTotalNetworkError`

Methods inherited from class org.neuroph.core.learning.SupervisedLearning
`doLearningEpoch, errorChangeStalled, getMaxError, getMinErrorChange, getMinErrorChangeIterationsCount, getMinErrorChangeIterationsLimit, getPatternError, getPreviousEpochError, getTotalNetworkError, hasReachedStopCondition, learn, learn, learnPattern, reset, setMaxError, setMinErrorChange, setMinErrorChangeIterationsLimit`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigmoidDeltaRule

    public SigmoidDeltaRule()

  Creates new SigmoidDeltaRule

### SigmoidDeltaRule

    public SigmoidDeltaRule(NeuralNetwork neuralNetwork)

  Creates new SigmoidDeltaRule for the specified neural network

  Parameters:
    `neuralNetwork` - neural network to train

Method Detail

### updateNetworkWeights

    protected void updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)

  This method implements weight update procedure for the whole network for this learning rule

  Overrides:
    `updateNetworkWeights` in class `LMS`
  Parameters:
    `patternError` - single pattern error vector

### adjustOutputNeurons

    protected void adjustOutputNeurons(java.util.Vector<java.lang.Double> patternError)

  This method implements weights update procedure for the output neurons

  Parameters:
    `patternError` - single pattern error vector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD